
#include "general.h"

#define addevent addEventListener
#define rmevent removeEventListener
#define rs readyState
#define doc document
#define domloaded "DOMContentLoaded"

// Versions of Firefox not supporting document.readyState can use this shim to
// simulate it (from LABjs)
if(doc.rs == null && doc.addevent) {
	(function() {
		function listener() {
			doc.rmevent(domloaded, listener, false);
			doc.rs = "complete";
		}
		doc.rs = "loading";
		doc.addevent(domloaded, listener, false);
	})();
}

