
#include "settings.h"

(function() {

#include "build/general.jsl"

var /** @const */ loaderKey = SETUP_KEY;

if(isSomething(this[loaderKey]))
	return;

#include "build/util.jsl"
#include "build/spawn.jsl"
#include "build/async-dispatch.jsl"

#include "build/firefox-document-ready-state-shim.jsl"

#include "build/on-head-ready.jsl"
#include "build/script-loader.jsl"

#include "build/module-spec.jsl"
#include "build/request-module.jsl"

this[loaderKey] = createModuleLoader;

})();
