
#include "general.h"

// A function used with this spawn variant must ignore all arguments and should
// only return undefined (i.e. what is returned by a "return" with no given
// value, or when the function finishes without a return).
function spawnRaw(fn) {
	requireFunction(fn);
	setTimeout(fn, 0);
}

function spawnApply(fn, args) {
	requireFunction(fn);
	var t = this;
	setTimeout(function() {
		fn.apply(t, args);
	}, 0);
}
